//alert(1);

jQuery( document ).ready(function() {
	listeyi_yukle();
	
	jQuery( ".yetkili-satici #il" ).change(function() {
		il_id=jQuery(this).val();
		console.log(il_id);
		
		jQuery('.yetkili-satici #ilce').empty().append('<option value="-1">TÜM İLÇELER</option>');
		var giden_id={id:jQuery( ".yetkili-satici #ilce" ).val()};
		
		jQuery.getJSON("/yetkiliservis/il/"+il_id,function(data) {
			jQuery.each( data, function( key, val ) {
			   console.log(val);
			   jQuery('.yetkili-satici #ilce').append('<option value="'+key+'">'+val+'</option>');
			  });

		})

		listeyi_yukle();
	});
	jQuery( ".yetkili-satici #ilce" ).change(function() {
		listeyi_yukle();
	});
	jQuery( ".yetkili-satici #kategori" ).change(function() {
		listeyi_yukle();
	});

});




function listeyi_yukle() {

	jQuery('#yetkili-satici-sonuc').html('<center><img src="/sites/all/themes/turksat/images/loader.gif"></center>');
	
	var il = jQuery( ".yetkili-satici #il" ).val();
	var ilce = jQuery( ".yetkili-satici #ilce" ).val();
	var kategori = jQuery( ".yetkili-satici #kategori" ).val();
	
	jQuery( "#yetkili-satici-sonuc" ).load( "/hakkimizda/satis-noktalari/liste/"+il+"/"+ilce+"/"+kategori, function() {
		 // alert( "Load was performed." );
		jQuery('.yetkili-satici-liste a.colorbox').colorbox({iframe:true,width:"650px",height:"450px"});
	});
	
}